Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum AmenityCategory

    java.lang.Object
      java.lang.Enum<AmenityCategory>
          org.ka2ddo.yaac.osm.AmenityCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AmenityCategory>, VisibleEnum

    public enum AmenityCategory

extends java.lang.Enum<AmenityCategory>
implements VisibleEnum

Enum of the categorizations for different types of amenities.

See Also:
  `AmenityType`

Enum Constant Summary
`commercial` For-profit businesses that do not fall into any of the other categories.
`communications` Businesses and facilities related to telecommunications and broadcasting.
`education` Educational institutions and businesses.
`entertainment` Entertainment facilities that are not sports facilities.
`financial` Businesses and facilities related to financial transactions.
`food` Businesses and facilities related to growing, delivering, and serving food.
`geographical` Geographical landmarks that do not fall into other categories.
`government` Facilities and buildings associated with branches of government at any level (national to municipal) that do not fall into the `public_safety` category.
`health` facilities and services related to providing health care.
`historic` Landmarks of historical and/or archaeological interest.
`lodging` Facilities and buildings related to providing places for people to live (permanently or temporarily).
`other` Amenities that do not fall into any of the other categories.
`public_safety` Businesses, non-profits, and government agencies and facilities for protecting the public, including police, fire, and emergency medical service (ambulances).
`public_service` Public service organizations that do not fall into the `government` or `public_safety` categories.
`religion` Buildings and facilities associated with a religious organization.
`social` Buildings and facilities for social groups not related to `sport`s.
`sport` Buildings and facilities for playing sports.
`transportation` Buildings and facilities associated with transportation (especially mass public transport).
`utility` Buildings and facilities associated with public utility providers (water, electric, natural gas, etc.).

Method Summary
`boolean` | `isVisible()` Indicate whether OSM objects tagged with this enum are visible.
`void` | `setVisible(boolean visible)` Set whether OSM objects tagged with this enum should be visible.
`java.lang.String` | `toString()` Returns the localized name of this enum constant.
`static AmenityCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AmenityCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ka2ddo.yaac.osm.VisibleEnum
`name`

Enum Constant Detail

### other

    public static final AmenityCategory other

  Amenities that do not fall into any of the other categories.

### commercial

    public static final AmenityCategory commercial

  For-profit businesses that do not fall into any of the other categories.

### communications

    public static final AmenityCategory communications

  Businesses and facilities related to telecommunications and broadcasting.

### education

    public static final AmenityCategory education

  Educational institutions and businesses.

### entertainment

    public static final AmenityCategory entertainment

  Entertainment facilities that are not sports facilities.

### financial

    public static final AmenityCategory financial

  Businesses and facilities related to financial transactions.

### food

    public static final AmenityCategory food

  Businesses and facilities related to growing, delivering, and serving food.

### geographical

    public static final AmenityCategory geographical

  Geographical landmarks that do not fall into other categories.

### government

    public static final AmenityCategory government

  Facilities and buildings associated with branches of government at any level (national to municipal) that do not fall into the `public_safety` category.

### health

    public static final AmenityCategory health

  facilities and services related to providing health care.

### historic

    public static final AmenityCategory historic

  Landmarks of historical and/or archaeological interest.

### lodging

    public static final AmenityCategory lodging

  Facilities and buildings related to providing places for people to live (permanently or temporarily).

### public_safety

    public static final AmenityCategory public_safety

  Businesses, non-profits, and government agencies and facilities for protecting the public, including police, fire, and emergency medical service (ambulances).

### public_service

    public static final AmenityCategory public_service

  Public service organizations that do not fall into the `government` or `public_safety` categories.

### religion

    public static final AmenityCategory religion

  Buildings and facilities associated with a religious organization.

### social

    public static final AmenityCategory social

  Buildings and facilities for social groups not related to `sport`s.

### sport

    public static final AmenityCategory sport

  Buildings and facilities for playing sports.

### transportation

    public static final AmenityCategory transportation

  Buildings and facilities associated with transportation (especially mass public transport).

### utility

    public static final AmenityCategory utility

  Buildings and facilities associated with public utility providers (water, electric, natural gas, etc.).

Method Detail

### values

    public static AmenityCategory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AmenityCategory c : AmenityCategory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AmenityCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isVisible

    public boolean isVisible()

  Indicate whether OSM objects tagged with this enum are visible.

  Specified by:
    `isVisible` in interface `VisibleEnum`
  Returns:
    boolean true if object should be visible

### setVisible

    public void setVisible(boolean visible)

  Set whether OSM objects tagged with this enum should be visible.

  Specified by:
    `setVisible` in interface `VisibleEnum`
  Parameters:
    `visible` - boolean true if tagged objects should be visible

### toString

    public java.lang.String toString()

  Returns the localized name of this enum constant.

  Specified by:
    `toString` in interface `VisibleEnum`
  Overrides:
    `toString` in class `java.lang.Enum<AmenityCategory>`
  Returns:
    the localized name of this enum constant

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD